
METAHUD_LAYOUTPATH = "Interface\\AddOns\\MetaHud\\Layout\\";

-- Settingnames
if not MetaHud_Layouts then MetaHud_Layouts = {} end;
MetaHud_Layouts.MetaHud_Standard_Layout = { 
    ["name"] = "Default Layout",
    ["MetaHud_textures"] = {
        ["MetaHud_PlayerHealth_Bar"] = { METAHUD_LAYOUTPATH.."1"      , 0 , 1 , 0 , 1 },
        ["MetaHud_PlayerMana_Bar"]   = { METAHUD_LAYOUTPATH.."1"      , 1 , 0 , 0 , 1 },
        ["MetaHud_TargetHealth_Bar"] = { METAHUD_LAYOUTPATH.."2"      , 0 , 1 , 0 , 1 },
        ["MetaHud_TargetMana_Bar"]   = { METAHUD_LAYOUTPATH.."2"      , 1 , 0 , 0 , 1 },
        ["MetaHud_PetHealth_Bar"]    = { METAHUD_LAYOUTPATH.."p1"     , 0 , 1 , 0 , 1 },
        ["MetaHud_PetMana_Bar"]      = { METAHUD_LAYOUTPATH.."p1"     , 1 , 0 , 0 , 1 },
        ["MetaHud_Casting_Bar"]      = { METAHUD_LAYOUTPATH.."cb"     , 1 , 0 , 0 , 1 },
        ["MetaHud_Flash_Bar"]        = { METAHUD_LAYOUTPATH.."cbh"    , 1 , 0 , 0 , 1 },
        ["MetaHud_Combo1"]           = { METAHUD_LAYOUTPATH.."c1"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo2"]           = { METAHUD_LAYOUTPATH.."c2"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo3"]           = { METAHUD_LAYOUTPATH.."c3"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo4"]           = { METAHUD_LAYOUTPATH.."c4"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo5"]           = { METAHUD_LAYOUTPATH.."c5"     , 0 , 1 , 0 , 1 },
        
        ["l_ph_pm"]               = { METAHUD_LAYOUTPATH.."bg_1"    , 0 , 1 , 0 , 1 },
        ["r_ph_pm"]               = { METAHUD_LAYOUTPATH.."bg_1"    , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_em"]            = { METAHUD_LAYOUTPATH.."bg_1"    , 0 , 1 , 0 , 1 },        
        ["r_ph_pm_em"]            = { METAHUD_LAYOUTPATH.."bg_1p"   , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_eh_em"]         = { METAHUD_LAYOUTPATH.."bg_1p"   , 0 , 1 , 0 , 1 },        
        ["r_ph_pm_eh_em"]         = { METAHUD_LAYOUTPATH.."bg_1p"   , 1 , 0 , 0 , 1 },

        ["l_ph_pm_eh"]            = { METAHUD_LAYOUTPATH.."bg_1p"   , 0 , 1 , 0 , 1 },        
        ["r_ph_pm_eh"]            = { METAHUD_LAYOUTPATH.."bg_1"    , 1 , 0 , 0 , 1 },
                
        ["l_ph_pm_th"]            = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_th"]            = { METAHUD_LAYOUTPATH.."bg_1"    , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_em_th"]         = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_em_th"]         = { METAHUD_LAYOUTPATH.."bg_1p"   , 1 , 0 , 0 , 1 },

        ["l_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_1p"   , 1 , 0 , 0 , 1 },

        ["l_ph_pm_th_tm"]         = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_th_tm"]         = { METAHUD_LAYOUTPATH.."bg_21"   , 1 , 0 , 0 , 1 },
                        
        ["l_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_21p"  , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_1"    , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_em_th_tm"]      = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_em_th_tm"]      = { METAHUD_LAYOUTPATH.."bg_21p"  , 1 , 0 , 0 , 1 },

        ["l_ph_pm_eh_em_th"]      = { METAHUD_LAYOUTPATH.."bg_21p"  , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_em_th"]      = { METAHUD_LAYOUTPATH.."bg_1p"   , 1 , 0 , 0 , 1 },
                
        ["l_ph_pm_eh_em_th_tm"]   = { METAHUD_LAYOUTPATH.."bg_21p"  , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_em_th_tm"]   = { METAHUD_LAYOUTPATH.."bg_21p"  , 1 , 0 , 0 , 1 },
                
        ["MetaHud_LeftFrame"]        = { METAHUD_LAYOUTPATH.."bg_21p"  , 0 , 1 , 0 , 1 },
        ["MetaHud_RightFrame"]       = { METAHUD_LAYOUTPATH.."bg_21p"  , 1 , 0 , 0 , 1 },
        
        ["MetaHud_PlayerResting"]    = { "Interface\\CharacterFrame\\UI-StateIcon"             , 0.0625 , 0.4475 , 0.0625 , 0.4375 },
        ["MetaHud_PlayerAttacking"]  = { "Interface\\CharacterFrame\\UI-StateIcon"             , 0.5625 , 0.9375 , 0.0625 , 0.4375 },
        ["MetaHud_PlayerLeader"]     = { "Interface\\GroupFrame\\UI-Group-LeaderIcon"          , 0 , 1 , 0 , 1 },
        ["MetaHud_PlayerLooter"]     = { "Interface\\GroupFrame\\UI-Group-MasterLooter"        , 0 , 1 , 0 , 1 },
        ["MetaHud_PetHappy"]         = { "Interface\\PetPaperDollFrame\\UI-PetHappiness"       , 0     , 0.1875 , 0 , 0.359375 },
        ["MetaHud_PetNormal"]        = { "Interface\\PetPaperDollFrame\\UI-PetHappiness"       , 0.1875, 0.375  , 0 , 0.359375 },
        ["MetaHud_PetUnhappy"]       = { "Interface\\PetPaperDollFrame\\UI-PetHappiness"       , 0.375 , 0.5625 , 0 , 0.359375 },
        ["MetaHud_TargetPvP"]        = { "Interface\\TargetingFrame\\UI-PVP-Horde"             , 0.6 , 0   , 0 , 0.6 },
        ["MetaHud_PlayerPvP"]        = { "Interface\\TargetingFrame\\UI-PVP-Alliance"          , 0   , 0.6 , 0 , 0.6 }, 
        ["MetaHud_FreePvP"]          = { "Interface\\TargetingFrame\\UI-PVP-FFA"               , 0   , 0.6 , 0 , 0.6 },    
        ["MetaHud_TargetElite"]      = { METAHUD_LAYOUTPATH.."elite"           , 0   , 1 , 0 , 1 },   
        ["MetaHud_TargetRare"]       = { METAHUD_LAYOUTPATH.."rare"            , 0   , 1 , 0 , 1 }, 
    },
    ["MetaHud_frames"] = {
        ["MetaHud_Main"]              = { "Frame"   , "CENTER" , "UIParent"             , "CENTER"  , 0    , 0    , 512 , 256 },
        ["MetaHud_LeftFrame"]         = { "Texture" , "LEFT"   , "MetaHud_Main"         , "LEFT"    , 0    , 0    , 128 , 256 },
        ["MetaHud_RightFrame"]        = { "Texture" , "RIGHT"  , "MetaHud_Main"         , "RIGHT"   , 0    , 0    , 128 , 256 },
        ["MetaHud_PlayerHealth_Bar"]  = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_PlayerMana_Bar"]    = { "Bar"     , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_TargetHealth_Bar"]  = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_TargetMana_Bar"]    = { "Bar"     , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_PetHealth_Bar"]     = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_PetMana_Bar"]       = { "Bar"     , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_Casting_Bar"]       = { "Bar"     , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_Flash_Bar"]         = { "Bar"     , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },    
        ["MetaHud_Combo1"]            = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 6    , 0    , 20  , 20 },
        ["MetaHud_Combo2"]            = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -1   , 20   , 20  , 20 },
        ["MetaHud_Combo3"]            = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -7   , 40   , 20  , 20 },
        ["MetaHud_Combo4"]            = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -11  , 60   , 20  , 20 },
        ["MetaHud_Combo5"]            = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -13  , 80   , 20  , 20 },
        ["MetaHud_Target_Text"]       = { "Text"    , "BOTTOM" , "MetaHud_Main"         , "BOTTOM"  , 0    , -45  , 200 , 14 },
        ["MetaHud_ToTarget_Text"]     = { "Text"    , "CENTER" , "MetaHud_Main"         , "CENTER"  , 0    , 0    , 100 , 16 },
        ["MetaHud_Range_Text"]        = { "Text"    , "TOP"    , "MetaHud_Main"         , "TOP"     , 0    , 0    , 100 , 16 },
        ["MetaHud_Guild_Text"]        = { "Text"    , "BOTTOM" , "MetaHud_Main"         , "BOTTOM"  , 0    , -70  , 100 , 16 },
        
        ["MetaHud_PlayerHealth_Text"] = { "Text"    , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 95   , 2    , 200 , 14 },
        ["MetaHud_PlayerMana_Text"]   = { "Text"    , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , -95  , 2    , 200 , 14 },
        
        ["MetaHud_TargetHealth_Text"] = { "Text"    , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 80   , -16  , 200 , 14 },
        ["MetaHud_TargetMana_Text"]   = { "Text"    , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , -80  , -16  , 200 , 14 },
        
        ["MetaHud_PetHealth_Text"]    = { "Text"    , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 110  , 19   , 200 , 14 },
        ["MetaHud_PetMana_Text"]      = { "Text"    , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , -110 , 19   , 200 , 14 }, 
        
        ["MetaHud_Casttime_Text"]     = { "Text"    , "TOPRIGHT", "MetaHud_RightFrame"   , "TOPRIGHT" , -88  , 5    , 100 , 14 },
        ["MetaHud_Castdelay_Text"]    = { "Text"    , "TOPRIGHT", "MetaHud_RightFrame"   , "TOPRIGHT" , -88  , 19   , 100 , 14 }, 
        
        ["MetaHud_Buff1"]             = { "Buff"    , "RIGHT"  , "MetaHud_Target_Text"  , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff2"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff1"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff3"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff2"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff4"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff3"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff5"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff4"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff6"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff5"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff7"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff6"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff8"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff7"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff9"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff1"        , "LEFT"    , 20   , -21  , 20  , 20 },
        ["MetaHud_Buff10"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff9"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff11"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff10"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff12"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff11"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff13"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff12"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff14"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff13"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff15"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff14"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff16"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff15"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_DeBuff1"]           = { "Buff"    , "LEFT"   , "MetaHud_Target_Text"  , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff2"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff1"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff3"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff2"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff4"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff3"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff5"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff4"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff6"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff5"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff7"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff6"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff8"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff7"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff9"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff1"      , "RIGHT"   , -20  , -21  , 20  , 20 },
        ["MetaHud_DeBuff10"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff9"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff11"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff10"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff12"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff11"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff13"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff12"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff14"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff13"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff15"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff14"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff16"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff15"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_PlayerResting"]     = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 2    , 0    , 22  , 22 },
        ["MetaHud_PlayerAttacking"]   = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 2    , 0    , 22  , 22 },
        ["MetaHud_PlayerPvP"]         = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 7    , 25   , 22  , 22 },
        ["MetaHud_PlayerLeader"]      = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 13   , 50   , 22  , 22 },
        ["MetaHud_PlayerLooter"]      = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 15   , 75   , 22  , 22 },
        ["MetaHud_PetHappy"]          = { "Texture" , "TOP"    , "MetaHud_LeftFrame"    , "TOP"     , 32   , -107 , 20  , 20 },
        ["MetaHud_TargetPvP"]         = { "Texture" , "BOTTOM" , "MetaHud_Target_Text"  , "TOP"     , 0    , 5    , 25  , 25 },
        ["MetaHud_TargetElite"]       = { "Texture" , "TOPLEFT", "MetaHud_Target_Text"  , "TOPLEFT" , -20  , 35   , 64  , 64 },
        
    },
    ["MetaHud_textures_clip"] = {
        [METAHUD_LAYOUTPATH.."1"]   = { 256, 11  , 11 },
        [METAHUD_LAYOUTPATH.."2"]   = { 256, 5   , 5  },
        [METAHUD_LAYOUTPATH.."p1"]  = { 256, 128 , 20 },
        [METAHUD_LAYOUTPATH.."p2"]  = { 256, 128 , 20 },	
        [METAHUD_LAYOUTPATH.."cb"]  = { 256, 11  , 11 }, 	
        [METAHUD_LAYOUTPATH.."cbh"] = { 256, 11  , 11 },
    },
    ["MetaHud_names"] = { 
        "MetaHud_Main", 
        "MetaHud_LeftFrame",
        "MetaHud_RightFrame",
        "MetaHud_PlayerHealth_Bar",
        "MetaHud_PlayerMana_Bar",
        "MetaHud_TargetHealth_Bar",
        "MetaHud_TargetMana_Bar",
        "MetaHud_PetHealth_Bar",
        "MetaHud_PetMana_Bar",
        "MetaHud_Combo1",
        "MetaHud_Combo2",
        "MetaHud_Combo3",
        "MetaHud_Combo4",
        "MetaHud_Combo5",
        "MetaHud_Target_Text",
        "MetaHud_ToTarget_Text",
        "MetaHud_Range_Text",
        "MetaHud_Guild_Text",
        "MetaHud_PlayerHealth_Text",
        "MetaHud_PlayerMana_Text",
        "MetaHud_TargetHealth_Text",
        "MetaHud_TargetMana_Text",
        "MetaHud_PetHealth_Text",
        "MetaHud_PetMana_Text",
        "MetaHud_Casttime_Text",
        "MetaHud_Castdelay_Text",
        "MetaHud_Buff1",
        "MetaHud_Buff2",
        "MetaHud_Buff3",
        "MetaHud_Buff4",
        "MetaHud_Buff5",
        "MetaHud_Buff6",
        "MetaHud_Buff7",
        "MetaHud_Buff8",
        "MetaHud_Buff9",
        "MetaHud_Buff10",
        "MetaHud_Buff11",
        "MetaHud_Buff12",
        "MetaHud_Buff13",
        "MetaHud_Buff14",
        "MetaHud_Buff15",
        "MetaHud_Buff16",
        "MetaHud_DeBuff1",
        "MetaHud_DeBuff2",
        "MetaHud_DeBuff3",
        "MetaHud_DeBuff4",
        "MetaHud_DeBuff5",
        "MetaHud_DeBuff6",
        "MetaHud_DeBuff7",
        "MetaHud_DeBuff8",
        "MetaHud_DeBuff9",
        "MetaHud_DeBuff10",
        "MetaHud_DeBuff11",
        "MetaHud_DeBuff12",
        "MetaHud_DeBuff13",
        "MetaHud_DeBuff14",
        "MetaHud_DeBuff15",
        "MetaHud_DeBuff16",  
        "MetaHud_Casting_Bar",
        "MetaHud_Flash_Bar",
        "MetaHud_PlayerResting",
        "MetaHud_PlayerAttacking",
        "MetaHud_PlayerLeader",
        "MetaHud_PlayerLooter",
        "MetaHud_PlayerPvP",
        "MetaHud_PetHappy",
        "MetaHud_TargetPvP",
        "MetaHud_TargetElite",
    },
}


MetaHud_Layouts.MetaHud_PlayerLeft_Layout = { 
    ["name"] = "Player Left",
    ["MetaHud_textures"] = {
        ["MetaHud_PlayerHealth_Bar"] = { METAHUD_LAYOUTPATH.."2"      , 0 , 1 , 0 , 1 },
        ["MetaHud_PlayerMana_Bar"]   = { METAHUD_LAYOUTPATH.."1"      , 0 , 1 , 0 , 1 },
        ["MetaHud_TargetHealth_Bar"] = { METAHUD_LAYOUTPATH.."2"      , 1 , 0 , 0 , 1 },
        ["MetaHud_TargetMana_Bar"]   = { METAHUD_LAYOUTPATH.."1"      , 1 , 0 , 0 , 1 },
        ["MetaHud_PetHealth_Bar"]    = { METAHUD_LAYOUTPATH.."p2"     , 0 , 1 , 0 , 1 },
        ["MetaHud_PetMana_Bar"]      = { METAHUD_LAYOUTPATH.."p1"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Casting_Bar"]      = { METAHUD_LAYOUTPATH.."cb"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Flash_Bar"]        = { METAHUD_LAYOUTPATH.."cbh"    , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo1"]           = { METAHUD_LAYOUTPATH.."c1"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo2"]           = { METAHUD_LAYOUTPATH.."c2"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo3"]           = { METAHUD_LAYOUTPATH.."c3"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo4"]           = { METAHUD_LAYOUTPATH.."c4"     , 0 , 1 , 0 , 1 },
        ["MetaHud_Combo5"]           = { METAHUD_LAYOUTPATH.."c5"     , 0 , 1 , 0 , 1 },
        
        ["l_ph_pm"]               = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm"]               = { METAHUD_LAYOUTPATH.."bg_0"    , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_em"]            = { METAHUD_LAYOUTPATH.."bg_21p"  , 0 , 1 , 0 , 1 },        
        ["r_ph_pm_em"]            = { METAHUD_LAYOUTPATH.."bg_0"    , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_eh_em"]         = { METAHUD_LAYOUTPATH.."bg_21pp" , 0 , 1 , 0 , 1 },        
        ["r_ph_pm_eh_em"]         = { METAHUD_LAYOUTPATH.."bg_0"    , 1 , 0 , 0 , 1 },

        ["l_ph_pm_eh"]            = { METAHUD_LAYOUTPATH.."bg_21pp" , 0 , 1 , 0 , 1 },        
        ["r_ph_pm_eh"]            = { METAHUD_LAYOUTPATH.."bg_0"    , 1 , 0 , 0 , 1 },
                
        ["l_ph_pm_th"]            = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_th"]            = { METAHUD_LAYOUTPATH.."bg_2"    , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_em_th"]         = { METAHUD_LAYOUTPATH.."bg_21p"  , 0 , 1 , 0 , 1 },
        ["r_ph_pm_em_th"]         = { METAHUD_LAYOUTPATH.."bg_2"    , 1 , 0 , 0 , 1 },

        ["l_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_21pp" , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_1"    , 1 , 0 , 0 , 1 },
        
        ["l_ph_pm_th_tm"]         = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_th_tm"]         = { METAHUD_LAYOUTPATH.."bg_21"   , 1 , 0 , 0 , 1 },

        ["l_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_21"   , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_th"]         = { METAHUD_LAYOUTPATH.."bg_2"    , 1 , 0 , 0 , 1 },
                
        ["l_ph_pm_em_th_tm"]      = { METAHUD_LAYOUTPATH.."bg_21p"  , 0 , 1 , 0 , 1 },
        ["r_ph_pm_em_th_tm"]      = { METAHUD_LAYOUTPATH.."bg_21"   , 1 , 0 , 0 , 1 },

        ["l_ph_pm_eh_em_th"]      = { METAHUD_LAYOUTPATH.."bg_21pp"  , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_em_th"]      = { METAHUD_LAYOUTPATH.."bg_2"     , 1 , 0 , 0 , 1 },
                
        ["l_ph_pm_eh_em_th_tm"]   = { METAHUD_LAYOUTPATH.."bg_21pp" , 0 , 1 , 0 , 1 },
        ["r_ph_pm_eh_em_th_tm"]   = { METAHUD_LAYOUTPATH.."bg_21"   , 1 , 0 , 0 , 1 },
                              
        ["MetaHud_LeftFrame"]        = { METAHUD_LAYOUTPATH.."bg_21p" , 0 , 1 , 0 , 1 },
        ["MetaHud_RightFrame"]       = { METAHUD_LAYOUTPATH.."bg_21p" , 1 , 0 , 0 , 1 },
        
        ["MetaHud_PlayerResting"]    = { "Interface\\CharacterFrame\\UI-StateIcon"             , 0.0625 , 0.4475 , 0.0625 , 0.4375 },
        ["MetaHud_PlayerAttacking"]  = { "Interface\\CharacterFrame\\UI-StateIcon"             , 0.5625 , 0.9375 , 0.0625 , 0.4375 },
        ["MetaHud_PlayerLeader"]     = { "Interface\\GroupFrame\\UI-Group-LeaderIcon"          , 0 , 1 , 0 , 1 },
        ["MetaHud_PlayerLooter"]     = { "Interface\\GroupFrame\\UI-Group-MasterLooter"        , 0 , 1 , 0 , 1 },
        ["MetaHud_PetHappy"]         = { "Interface\\PetPaperDollFrame\\UI-PetHappiness"       , 0     , 0.1875 , 0 , 0.359375 },
        ["MetaHud_PetNormal"]        = { "Interface\\PetPaperDollFrame\\UI-PetHappiness"       , 0.1875, 0.375  , 0 , 0.359375 },
        ["MetaHud_PetUnhappy"]       = { "Interface\\PetPaperDollFrame\\UI-PetHappiness"       , 0.375 , 0.5625 , 0 , 0.359375 },
        ["MetaHud_TargetPvP"]        = { "Interface\\TargetingFrame\\UI-PVP-Horde"             , 0.6 , 0   , 0 , 0.6 },
        ["MetaHud_PlayerPvP"]        = { "Interface\\TargetingFrame\\UI-PVP-Alliance"          , 0   , 0.6 , 0 , 0.6 }, 
        ["MetaHud_FreePvP"]          = { "Interface\\TargetingFrame\\UI-PVP-FFA"               , 0   , 0.6 , 0 , 0.6 },    
        ["MetaHud_TargetElite"]      = { METAHUD_LAYOUTPATH.."elite"              , 1   , 0 , 0 , 1 },   
        ["MetaHud_TargetRare"]       = { METAHUD_LAYOUTPATH.."rare"               , 1   , 0 , 0 , 1 }, 
    },
    ["MetaHud_frames"] = {
        ["MetaHud_Main"]              = { "Frame"   , "CENTER" , "UIParent"          , "CENTER"  , 0    , 0    , 512 , 256 },
        ["MetaHud_LeftFrame"]         = { "Texture" , "LEFT"   , "MetaHud_Main"         , "LEFT"    , 0    , 0    , 128 , 256 },
        ["MetaHud_RightFrame"]        = { "Texture" , "RIGHT"  , "MetaHud_Main"         , "RIGHT"   , 0    , 0    , 128 , 256 },
        
        ["MetaHud_PlayerHealth_Bar"]  = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_PlayerMana_Bar"]    = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        
        ["MetaHud_TargetHealth_Bar"]  = { "Bar"     , "BOTTOM" , "MetaHud_RightFrame"    , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_TargetMana_Bar"]    = { "Bar"     , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        
        ["MetaHud_PetHealth_Bar"]     = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_PetMana_Bar"]       = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        
        ["MetaHud_Casting_Bar"]       = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },
        ["MetaHud_Flash_Bar"]         = { "Bar"     , "BOTTOM" , "MetaHud_LeftFrame"   , "BOTTOM"  , 0    , 0    , 128 , 256 },   
         
        ["MetaHud_Combo1"]            = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"    , "BOTTOM"  , -4    , 0    , 20  , 20 },
        ["MetaHud_Combo2"]            = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"    , "BOTTOM"  , 3   , 20   , 20  , 20 },
        ["MetaHud_Combo3"]            = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"    , "BOTTOM"  , 8   , 40   , 20  , 20 },
        ["MetaHud_Combo4"]            = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"    , "BOTTOM"  , 11  , 60   , 20  , 20 },
        ["MetaHud_Combo5"]            = { "Texture" , "BOTTOM" , "MetaHud_RightFrame"    , "BOTTOM"  , 13  , 80   , 20  , 20 },
        ["MetaHud_Target_Text"]       = { "Text"    , "BOTTOM" , "MetaHud_Main"         , "BOTTOM"  , 0    , -45  , 200 , 14 },
        ["MetaHud_ToTarget_Text"]     = { "Text"    , "CENTER" , "MetaHud_Main"         , "CENTER"  , 0    , 0    , 100 , 16 },
        ["MetaHud_Range_Text"]        = { "Text"    , "TOP"    , "MetaHud_Main"         , "TOP"     , 0    , 0    , 100 , 16 },
        ["MetaHud_Guild_Text"]        = { "Text"    , "BOTTOM" , "MetaHud_Main"         , "BOTTOM"  , 0    , -70  , 100 , 16 },
        
        ["MetaHud_PlayerHealth_Text"] = { "Text"    , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , 80   , -16    , 200 , 14 },
        ["MetaHud_PlayerMana_Text"]   = { "Text"    , "BOTTOM" , "MetaHud_LeftFrame"   , "BOTTOM"  , 95  , 2    , 200 , 14 },
        
        ["MetaHud_TargetHealth_Text"] = { "Text"    , "BOTTOM" , "MetaHud_RightFrame"    , "BOTTOM"  , -80   , -16  , 200 , 14 },
        ["MetaHud_TargetMana_Text"]   = { "Text"    , "BOTTOM" , "MetaHud_RightFrame"   , "BOTTOM"  , -95  , 2  , 200 , 14 },
        
        ["MetaHud_PetHealth_Text"]    = { "Text"    , "BOTTOMLEFT" , "MetaHud_LeftFrame"    , "BOTTOMLEFT"  , 130 , 36   , 200 , 14 },
        ["MetaHud_PetMana_Text"]      = { "Text"    , "BOTTOMLEFT" , "MetaHud_LeftFrame"    , "BOTTOMLEFT"  , 120 , 19   , 200 , 14 }, 
        
        ["MetaHud_Casttime_Text"]     = { "Text"    , "TOPLEFT", "MetaHud_LeftFrame"   , "TOPLEFT" , 118  , 5    , 100 , 14 },
        ["MetaHud_Castdelay_Text"]    = { "Text"    , "TOPLEFT", "MetaHud_LeftFrame"   , "TOPLEFT" , 118  , 19   , 100 , 14 }, 
        
        ["MetaHud_Buff1"]             = { "Buff"    , "RIGHT"  , "MetaHud_Target_Text"  , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff2"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff1"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff3"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff2"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff4"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff3"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff5"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff4"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff6"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff5"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff7"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff6"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff8"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff7"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff9"]             = { "Buff"    , "RIGHT"  , "MetaHud_Buff1"        , "LEFT"    , 20   , -21  , 20  , 20 },
        ["MetaHud_Buff10"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff9"        , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff11"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff10"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff12"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff11"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff13"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff12"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff14"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff13"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff15"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff14"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_Buff16"]            = { "Buff"    , "RIGHT"  , "MetaHud_Buff15"       , "LEFT"    , -1   , 0    , 20  , 20 },
        ["MetaHud_DeBuff1"]           = { "Buff"    , "LEFT"   , "MetaHud_Target_Text"  , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff2"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff1"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff3"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff2"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff4"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff3"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff5"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff4"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff6"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff5"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff7"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff6"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff8"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff7"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff9"]           = { "Buff"    , "LEFT"   , "MetaHud_DeBuff1"      , "RIGHT"   , -20  , -21  , 20  , 20 },
        ["MetaHud_DeBuff10"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff9"      , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff11"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff10"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff12"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff11"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff13"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff12"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff14"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff13"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff15"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff14"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_DeBuff16"]          = { "Buff"    , "LEFT"   , "MetaHud_DeBuff15"     , "RIGHT"   , 1    , 0    , 20  , 20 },
        ["MetaHud_PlayerResting"]     = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -2   , 0    , 22  , 22 },
        ["MetaHud_PlayerAttacking"]   = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -2   , 0    , 22  , 22 },
        ["MetaHud_PlayerPvP"]         = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -7   , 25   , 22  , 22 },
        ["MetaHud_PlayerLeader"]      = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -13  , 50   , 22  , 22 },
        ["MetaHud_PlayerLooter"]      = { "Texture" , "BOTTOM" , "MetaHud_LeftFrame"    , "BOTTOM"  , -15  , 75   , 22  , 22 },
        ["MetaHud_PetHappy"]          = { "Texture" , "TOP"    , "MetaHud_LeftFrame"    , "TOP"     , 32   , -107 , 20  , 20 },
        ["MetaHud_TargetPvP"]         = { "Texture" , "BOTTOM" , "MetaHud_Target_Text"  , "TOP"     , 0    , 5    , 25  , 25 },
        ["MetaHud_TargetElite"]       = { "Texture" , "TOPLEFT", "MetaHud_Target_Text"  , "TOPLEFT" , -20  , 35   , 64  , 64 },
        
    },
    ["MetaHud_textures_clip"] = {
        [METAHUD_LAYOUTPATH.."1"]   = { 256, 11  , 11 },
        [METAHUD_LAYOUTPATH.."2"]   = { 256, 5   , 5  },
        [METAHUD_LAYOUTPATH.."p1"]  = { 256, 128 , 20 },
        [METAHUD_LAYOUTPATH.."p2"]  = { 256, 128 , 20 },	
        [METAHUD_LAYOUTPATH.."cb"]  = { 256, 11  , 11 }, 	
        [METAHUD_LAYOUTPATH.."cbh"] = { 256, 11  , 11 },
    },
    ["MetaHud_names"] = { 
        "MetaHud_Main", 
        "MetaHud_LeftFrame",
        "MetaHud_RightFrame",
        "MetaHud_PlayerHealth_Bar",
        "MetaHud_PlayerMana_Bar",
        "MetaHud_TargetHealth_Bar",
        "MetaHud_TargetMana_Bar",
        "MetaHud_PetHealth_Bar",
        "MetaHud_PetMana_Bar",
        "MetaHud_Combo1",
        "MetaHud_Combo2",
        "MetaHud_Combo3",
        "MetaHud_Combo4",
        "MetaHud_Combo5",
        "MetaHud_Target_Text",
        "MetaHud_ToTarget_Text",
        "MetaHud_Range_Text",
        "MetaHud_Guild_Text",
        "MetaHud_PlayerHealth_Text",
        "MetaHud_PlayerMana_Text",
        "MetaHud_TargetHealth_Text",
        "MetaHud_TargetMana_Text",
        "MetaHud_PetHealth_Text",
        "MetaHud_PetMana_Text",
        "MetaHud_Casttime_Text",
        "MetaHud_Castdelay_Text",
        "MetaHud_Buff1",
        "MetaHud_Buff2",
        "MetaHud_Buff3",
        "MetaHud_Buff4",
        "MetaHud_Buff5",
        "MetaHud_Buff6",
        "MetaHud_Buff7",
        "MetaHud_Buff8",
        "MetaHud_Buff9",
        "MetaHud_Buff10",
        "MetaHud_Buff11",
        "MetaHud_Buff12",
        "MetaHud_Buff13",
        "MetaHud_Buff14",
        "MetaHud_Buff15",
        "MetaHud_Buff16",
        "MetaHud_DeBuff1",
        "MetaHud_DeBuff2",
        "MetaHud_DeBuff3",
        "MetaHud_DeBuff4",
        "MetaHud_DeBuff5",
        "MetaHud_DeBuff6",
        "MetaHud_DeBuff7",
        "MetaHud_DeBuff8",
        "MetaHud_DeBuff9",
        "MetaHud_DeBuff10",
        "MetaHud_DeBuff11",
        "MetaHud_DeBuff12",
        "MetaHud_DeBuff13",
        "MetaHud_DeBuff14",
        "MetaHud_DeBuff15",
        "MetaHud_DeBuff16",  
        "MetaHud_Casting_Bar",
        "MetaHud_Flash_Bar",
        "MetaHud_PlayerResting",
        "MetaHud_PlayerAttacking",
        "MetaHud_PlayerLeader",
        "MetaHud_PlayerLooter",
        "MetaHud_PlayerPvP",
        "MetaHud_PetHappy",
        "MetaHud_TargetPvP",
        "MetaHud_TargetElite",
    },
}
